Bug 1271009 - Scheduled items return Internal Server Error
Scheduled items return Internal Server Error
Status: NEW
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
2.4
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Grant Gainey
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 18:21 EDT by max
Modified: 2016-09-05 15:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description max 2015-10-12 18:21:39 EDT
Description of problem:
Attempts to view any items in the Scheduled category return an Internal Server Error

Version-Release number of selected component (if applicable):
Spacewalk 2.4 on Fedora 22, x86_64

How reproducible:
Persists between fresh installs

Steps to Reproduce:
1. Schedule a job (such as pushing updates)
2. Select the job in the Schedule view (regardless of job status)

Actual results:
Internal Server Error is returned

Expected results:
Details of the scheduled item

Additional info:
Comment 1 Jan Dobes 2015-10-15 12:57:08 EDT
Seems that restarting Spacewalk fixes the ISE for me. But it would be good to find problem in the code.
Comment 2 max 2015-10-16 00:58:30 EDT
Intriguing! I kicked it with a restart as well (via the UI and not system restart) and that seems to have fixed that issue (for now at least). Very odd though.
Comment 3 max 2016-04-24 13:11:11 EDT
Did a fresh reinstall on Fedora 22 Server as per https://fedorahosted.org/spacewalk/wiki/HowToInstall with the embedded database. Issue still occurs until Spacewalk is restarted via GUI. On system restart / CLI restart the issue recurs.
Comment 4 max 2016-09-05 15:40:49 EDT
Following official instructions this also appears on Fedora 23. This issue does now appear to show using CentOS 7 however.
Comment 5 max 2016-09-05 15:41:36 EDT
Apologies for forgetting this also applies to Spacewalk 2.5.

Note You need to log in before you can comment on or make changes to this bug.